test_that("plot_ORA: input checks", {
  invalid_ORA <- list(
    OvE_gen = c(1.5, 0.8),
    module_name = c("module1", "module2")
  )

  # ORA is a dataframe
  expect_error(
    plot_ORA(invalid_ORA),
    "'ORA' must be a dataframe obtained by ORA_hypergeometric()"
  )
})

test_that("plot_ORA:output_checks",{
    ORA_example <- data.frame(
        OvE_gen = rnorm(10),
        OvE_gen_lower = rnorm(10) - 1,
        OvE_gen_higher = rnorm(10) + 1,
        OvE_gen_median = rnorm(10),
        module_name = paste("Module", 1:10),
        cluster = rep(c("Cluster1", "Cluster2"), each = 5),
        condition = rep(c("Condition1", "Condition2"), each = 5),
        col = sample(c("ICR includes 0", "ICR>0", "ICR<0"), 10, replace = TRUE))
    
    plot <- plot_ORA(ORA_example)
    expect_s3_class(plot, "gg") 
})
